MS12-015: Vulnerabilities in Microsoft Visio Viewer 2010 Could Allow Remote Code Execution (2663510)

High Nessus Plugin ID 57949


Arbitrary code can be executed on the remote host through Microsoft Visio Viewer.


The version of Microsoft Visio Viewer installed on the remote Windows host is reportedly affected by several memory corruption vulnerabilities due to the way the application handles memory when parsing specially crafted Visio files.

An attacker who tricked a user on the affected host into opening a specially crafted Visio file could leverage these issues to execute arbitrary code in the context of the current user.


Microsoft has released a set of patches for Visio Viewer 2010.

See Also

Plugin Details

Severity: High

ID: 57949

File Name: smb_nt_ms12-015.nasl

Version: $Revision: 1.11 $

Type: local

Agent: windows

Published: 2012/02/14

Modified: 2017/07/26

Dependencies: 13855, 57033

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 7.3

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:POC/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:visio_viewer

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2012/02/14

Vulnerability Publication Date: 2012/02/14

Reference Information

CVE: CVE-2012-0019, CVE-2012-0020, CVE-2012-0136, CVE-2012-0137, CVE-2012-0138

BID: 51903, 51904, 51906, 51907, 51908

OSVDB: 79254, 79255, 79256, 79257, 79258

MSFT: MS12-015

MSKB: 2597170